Start a new topic

compatibility

Hello.  I have an Hipstreet Flair android tablet 4.4 os. (sold at Walmart).  I tried to download the app, but it says my android is not compatible.  How do I get around this error?

Login or Signup to post a comment